# All files / src/custom-nodes/control-flow-storage-nodes ControlFlowStorageNode.ts

100% Statements 14/14
100% Branches 0/0
100% Functions 1/1
100% Lines 11/11

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    501x
    1x

    1x

    1x

    1x

    1x

    1x

    1x

    213x

    213x

    213x

     import { injectable, inject } from 'inversify';
    import { ServiceIdentifiers } from '../../container/ServiceIdentifiers';

    import * as format from 'string-template';

    import { ICustomNode } from '../../interfaces/custom-nodes/ICustomNode';
    import { IOptions } from '../../interfaces/options/IOptions';
    import { IStorage } from '../../interfaces/storages/IStorage';

    import { initializable } from '../../decorators/Initializable';

    import { ControlFlowStorageTemplate } from '../../templates/custom-nodes/control-flow-storage-nodes/ControlFlowStorageTemplate';

    import { AbstractCustomNode } from '../AbstractCustomNode';

    @injectable()
    export class ControlFlowStorageNode extends AbstractCustomNode {
        /**
         * @type {IStorage <ICustomNode>}
         */
        @initializable()
        private controlFlowStorage: IStorage <ICustomNode>;

        /**
         * @param options
         */
        constructor (
            @inject(ServiceIdentifiers.IOptions) options: IOptions
        ) {
            super(options);
        }

        /**
         * @param controlFlowStorage
         */
        public initialize (controlFlowStorage: IStorage <ICustomNode>): void {
            this.controlFlowStorage = controlFlowStorage;
        }

        /**
         * @returns {string}
         */
        protected getTemplate (): string {
            return format(ControlFlowStorageTemplate(), {
                controlFlowStorage: this.controlFlowStorage.toString(),
                controlFlowStorageName: this.controlFlowStorage.getStorageId()
            });
        }
    }